Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision b9a5f0eb8e8cbff8f8d934bbfa4ea18168141e13)
+++ src/sas/guiframe/gui_manager.py	(revision ad8872e858cccb6a879912fc45aa48bc8e7128ab)
@@ -24,4 +24,6 @@
 import logging
 import httplib
+import webbrowser
+
 
 from sas.guiframe.events import EVT_CATEGORY
@@ -1325,5 +1327,6 @@
     def _add_help_menu(self):
         """
-        add help menu
+        add help menu to menu bar.  Includes welcome page, about page,
+        tutorial PDF and documentation pages. 
         """
         # Help menu
@@ -1336,22 +1339,10 @@
                 id = wx.NewId()
                 self._help_menu.Append(id, '&Welcome', '')
-                self._help_menu.AppendSeparator()
                 wx.EVT_MENU(self, id, self.show_welcome_panel)
 
-        # Look for help item in plug-ins 
-        for item in self.plugins:
-            if hasattr(item, "help"):
-                id = wx.NewId()
-                self._help_menu.Append(id,'&%s Help' % item.sub_menu, '')
-                wx.EVT_MENU(self, id, item.help)
-
-        # Only show new Sphinx docs link if version of wx supports displaying
-        # it correctly.
-        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
-        if show_sphinx_docs:
-            self._help_menu.AppendSeparator()
-            id = wx.NewId()
-            self._help_menu.Append(id, '&Sphinx Documentation', '')
-            wx.EVT_MENU(self, id, self._onSphinxDocs)
+        self._help_menu.AppendSeparator()
+        id = wx.NewId()
+        self._help_menu.Append(id, '& Documentation', '')
+        wx.EVT_MENU(self, id, self._onSphinxDocs)
 
         if config._do_tutorial and (IS_WIN or sys.platform =='darwin'):
@@ -2162,5 +2153,8 @@
     def _onSphinxDocs(self, evt):
         """
-        Pop up a Sphinx Documentation dialog.
+        Bring up Sphinx Documentation.  If Wx 2.9 or higher is installed 
+        with proper HTML support then Pop up a Sphinx Documentation dialog
+        locally.  If not pop up a new tab in the default system browser 
+        calling the documentation website.
         
         :param evt: menu event
@@ -2168,17 +2162,24 @@
         # Running SasView "in-place" using run.py means the docs will be in a
         # different place than they would otherwise.
-        SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
-        if SPHINX_DOC_ENV in os.environ:
-            docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+
+        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
+        if show_sphinx_docs:
+            SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
+            if SPHINX_DOC_ENV in os.environ:
+                docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+            else:
+                docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
+
+            if os.path.exists(docs_path):
+                from documentation_window import DocumentationWindow
+
+                sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
+                sphinx_doc_viewer.Show()
+            else:
+                logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
         else:
-            docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
-
-        if os.path.exists(docs_path):
-            from documentation_window import DocumentationWindow
-
-            sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
-            sphinx_doc_viewer.Show()
-        else:
-            logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
+            #For red hat and maybe others who do not have Wx 3.0
+            #just send to webpage of documentation
+            webbrowser.open_new_tab('http://www.sasview.org/sasview')
 
     def set_manager(self, manager):
Index: src/sas/guiframe/media/data_explorer_help.rst
===================================================================
--- src/sas/guiframe/media/data_explorer_help.rst	(revision 0d66541cf69270c2b833e4f21df2f2d3fed2cd9c)
+++ src/sas/guiframe/media/data_explorer_help.rst	(revision 0d66541cf69270c2b833e4f21df2f2d3fed2cd9c)
@@ -0,0 +1,3 @@
+..data_explorer_help.rst
+
+Placeholder for data explorer help
Index: src/sas/guiframe/media/graph_help.rst
===================================================================
--- src/sas/guiframe/media/graph_help.rst	(revision 0d66541cf69270c2b833e4f21df2f2d3fed2cd9c)
+++ src/sas/guiframe/media/graph_help.rst	(revision 0d66541cf69270c2b833e4f21df2f2d3fed2cd9c)
@@ -0,0 +1,3 @@
+..graph_help.rst
+
+Placeholder for graph help
